# $EPIC: outputinfo,v 1.1 2003/07/07 05:24:17 jnelson Exp $
Synopsis:
   $outputinfo()

Technical:
   * This function does not take any arguments; they are ignored.
   * The return value is the current output display context
   * The current output display context is the mechanism by which the
     program figures out what window output should go to.
   * Throughout the entire client, the tuple (server refnum, lastlog level)
     can map to only one window (but perhaps not to any window).
   * The current output display context is composed of two pieces of
     information:
	* The current lastlog level
	* The current target (nickname or channel)
   * The current display target may not always be set
   * The return value is the current output display context either as one
     word (if the current target is unset) or two words (if the current
     target is set)

Practical:
   If the current target is set, then you could use $querywin() or
   $chanwin() to figure out where an /echo would go.  If the current
   target is not set, then you could use $levelwindow() to figure out
   where an /echo would go.  But in either case, these two pieces of
   information are all you need to know to figure out where an /echo
   would send its output.

Returns:
   The current output display context, comprised of the current lastlog
   level and optionally the current target.

Examples:
   on msg "hop *" { eval echo $outputinfo() }
					Outputs "MSGS hop" because this is
					a MSGS and it is from hop
   on public "% #epic *" { eval echo $outputinfo() }
					Outputs "PUBLIC #epic" beacuse this
					is a PUBLIC and it is to #epic.
   on 432 * { eval echo $outputinfo() }
					Outputs "CRAP" because this is a
					miscelaneous message and is not
					related to a channel or other user.

History:
   This function first appeared in EPIC4-1.1.12

See Also:
   echo(5); levelwindow(6); querywin(6); chanwin(6)

